/*
     This file is part of GNUnet

     GNUnet is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published
     by the Free Software Foundation; either version 2, or (at your
     option) any later version.

     GNUnet is distributed in the hope that it will be useful, but
     WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
     General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with GNUnet; see the file COPYING.  If not, write to the
     Free Software Foundation, Inc., 59 Temple Place - Suite 330,
     Boston, MA 02111-1307, USA.
*/

/**
 * @file include/applications/afs/gtkui/search.h
 * @author Christian Grothoff
 **/

#ifndef GTKUI_SEARCH_H
#define GTKUI_SEARCH_H

#include "config.h"

#include "applications/afs/encoding/searchutil.h"

/**
 * Data for a search process
 **/
typedef struct {
  GtkWidget * search_result_list;
  int selectedRow;
  Semaphore * sem;
  GNUNET_TCP_SOCKET * SEARCH_socket_;
  SendQueriesContext * sqc;
} ListModel;

/**
 * Get the window with the search results.
 **/
GtkWidget * getSearchWindow(gchar * searchString);

#endif
