/** 
 * @file test/statuscallstest.c
 * @brief testcase for util/statuscalls.c
 **/

#include "config.h"
#include "util/statuscalls.h"
#include <stdio.h>
#include "util/configuration.h"
#include "util/cron.h"
#include <unistd.h>

int main(){
  int i;

  initConfiguration();
  readConfiguration();
  initCron();
  initStatusCalls();

  for (i=0;i<3;i++) {
    if (cpuUsage() == -1) {
      printf("cpuUsage == -1\n");
      return -1;
    }
    if (networkUsage() == -1) {
      printf("networkUsage == -1\n");    
      return -1;
    }
    sleep(1);
  }
  /* make sure we don't leak open files... */
  for (i=0;i<10000;i++) {
    if (cpuUsage() == -1)
      return -1;
    if (networkUsage() == -1)
      return -1;
  }
  return 0;
}
